Last Comment Bug 703633 - TreePanel.jsm uses a resource:/// url that ought to be resource://gre/
: TreePanel.jsm uses a resource:/// url that ought to be resource://gre/
Status: RESOLVED FIXED
[fixed-in-fx-team][qa-]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 11
Assigned To: Mike Hommey [:glandium]
:
: Patrick Brosset <:pbro>
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 09:35 PST by Mike Hommey [:glandium]
Modified: 2012-08-17 06:09 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
TreePanel.jsm uses a resource:/// url that ought to be resource://gre/ (1.03 KB, patch)
2011-11-18 09:36 PST, Mike Hommey [:glandium]
rcampbell: review+
lukasblakk+bugs: approval‑mozilla‑esr10+
Details | Diff | Splinter Review

Description Mike Hommey [:glandium] 2011-11-18 09:35:43 PST
TreePanel.jsm includes resource:///modules/Services.jsm, which should really be resource://gre/modules/Services.jsm.
Comment 1 Mike Hommey [:glandium] 2011-11-18 09:36:44 PST
Created attachment 575489 [details] [diff] [review]
TreePanel.jsm uses a resource:/// url that ought to be resource://gre/
Comment 2 Rob Campbell [:rc] (:robcee) 2011-11-18 11:38:14 PST
Comment on attachment 575489 [details] [diff] [review]
TreePanel.jsm uses a resource:/// url that ought to be resource://gre/

thanks!
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-19 08:55:04 PST
https://hg.mozilla.org/integration/fx-team/rev/60ecd909a6c2
Comment 4 Rob Campbell [:rc] (:robcee) 2011-11-21 06:45:33 PST
https://hg.mozilla.org/mozilla-central/rev/60ecd909a6c2
Comment 5 Martin Stránský 2012-06-25 00:24:04 PDT
Comment on attachment 575489 [details] [diff] [review]
TreePanel.jsm uses a resource:/// url that ought to be resource://gre/

[Approval Request Comment]
If this is not a sec:{high,crit} bug, please state case for ESR consideration:
User impact if declined: Inspect Element won't work
Fix Landed on Version: Firefox 11
Risk to taking this patch (and alternatives if risky): NONE
String or UUID changes made by this patch: NONE
Comment 6 Mike Hommey [:glandium] 2012-06-25 00:30:55 PDT
(In reply to Martin Stránský from comment #5)
> User impact if declined: Inspect Element won't work

won't work in Firefox as a Xulrunner application.
Comment 7 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-19 15:59:07 PDT
Comment on attachment 575489 [details] [diff] [review]
TreePanel.jsm uses a resource:/// url that ought to be resource://gre/

no risk, go ahead.
Comment 8 Mike Hommey [:glandium] 2012-07-19 22:34:25 PDT
Realized too late that I pushed to the wrong branch:
http://hg.mozilla.org/releases/mozilla-esr10/rev/344e4df16abb
And landed again on the right one:
http://hg.mozilla.org/releases/mozilla-esr10/rev/454e3e33b5c3
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-08-14 14:30:58 PDT
Does this have or need a test case in-testsuite?
Comment 10 Rob Campbell [:rc] (:robcee) 2012-08-17 06:09:31 PDT
no.

Note You need to log in before you can comment on or make changes to this bug.